clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::cppcoreguidelines::CppCoreGuidelinesModule Class Reference

A module containing checks of the C++ Core Guidelines. More...

Inheritance diagram for clang::tidy::cppcoreguidelines::CppCoreGuidelinesModule:
[legend]
Collaboration diagram for clang::tidy::cppcoreguidelines::CppCoreGuidelinesModule:
[legend]

## Public Member Functions
void | addCheckFactories (ClangTidyCheckFactories &CheckFactories) override
| Implement this function in order to register all `CheckFactories` belonging to this module. More...
Public Member Functions inherited from clang::tidy::ClangTidyModule
virtual | ~ClangTidyModule ()
virtual ClangTidyOptions | getModuleOptions ()
| Gets default options for checks defined in this module. More...

## Detailed Description

A module containing checks of the C++ Core Guidelines.

Definition at line 29 of file CppCoreGuidelinesTidyModule.cpp.

## Member Function Documentation

void clang::tidy::cppcoreguidelines::CppCoreGuidelinesModule::addCheckFactories | ( | ClangTidyCheckFactories & | CheckFactories | ) |
| inline override virtual

Implement this function in order to register all `CheckFactories` belonging to this module.

Implements clang::tidy::ClangTidyModule.

Definition at line 31 of file CppCoreGuidelinesTidyModule.cpp.

References clang::tidy::ClangTidyCheckFactories::registerCheck().

The documentation for this class was generated from the following file:

- CppCoreGuidelinesTidyModule.cpp